
package de.ivu.elect.business.personenpruefung.entity;

import static java.util.Arrays.asList;

import java.util.List;

import de.ivu.elect.business.person.entity.Wahlrechtsausschluss;

public class WahlrechtsausschlussPersonPruefungKonfigurationCustomData extends AbstractEnumSelectManyPersonPruefungKonfigurationCustomData<Wahlrechtsausschluss> {

  private static final long serialVersionUID = 1L;

  public WahlrechtsausschlussPersonPruefungKonfigurationCustomData(List<Wahlrechtsausschluss> wahlrechtsausschluesseDefault) {
    super(wahlrechtsausschluesseDefault);
  }

  @Override
  protected Class<Wahlrechtsausschluss> getEnumClass() {
    return Wahlrechtsausschluss.class;
  }

  @Override
  protected List<Wahlrechtsausschluss> getPropertyValues() {
    return asList(Wahlrechtsausschluss.values());
  }

  @Override
  protected String getPropertyLabelMsgKey() {
    return "WahlrechtsausschlussPersonPruefungKonfiguration.label";
  }
}
